<!-- 7. ENVIRONMENTAL HAZARD ASSESSMENT template file -->

<!-- 7.1. Aquatic compartment (including sediment) -->
<section>
	<title role="HEAD-2">Aquatic compartment (including sediment)</title>
	<@keyEnvironmentalHazardAssessment.aquaticToxicitySummary _subject/>
	
	<!-- 7.1.1. Fish -->
	<section>	
		<title role="HEAD-3">Fish</title>
		
		<!-- 7.1.1.1. Short-term toxicity to fish -->
		<section>
			<title role="HEAD-4">Short-term toxicity to fish</title>
			<@keyEnvironmentalHazardAssessment.shortTermToxicityToFishStudies _subject/>
		
			<!-- Discussion -->
			<@keyEnvironmentalHazardAssessment.shortTermToxicityToFishSummary _subject/>			
		</section>

		<!-- 7.1.1.2. Long-term toxicity to fish -->
		<@com.emptyLine/>
		<section>
			<title role="HEAD-4">Long-term toxicity to fish</title>
			<@keyEnvironmentalHazardAssessment.longTermToxicityToFishStudies _subject/>
		
			<!-- Discussion -->
			<@keyEnvironmentalHazardAssessment.longTermToxicityToFishSummary _subject/>
		</section>
		
	</section>
	
	<!-- 7.1.2. Aquatic invertebrates -->
	<section>
		<title role="HEAD-3">Aquatic invertebrates</title>
	
		<!-- 7.1.2.1. Short-term toxicity to aquatic invertebrates -->
		<section>		
			<title role="HEAD-4">Short-term toxicity to aquatic invertebrates</title>
			<@keyEnvironmentalHazardAssessment.shortTermToxicityToAquaticInvertebratesStudies _subject/>
						
			<!-- Discussion -->
			<@keyEnvironmentalHazardAssessment.shortTermToxicityToAquaticInvertebratesSummary _subject/>
			
		</section>
		
		<!-- 7.1.2.2. Long-term toxicity to aquatic invertebrates -->
		<@com.emptyLine/>
		<section>
			<title role="HEAD-4">Long-term toxicity to aquatic invertebrates</title>
			<@keyEnvironmentalHazardAssessment.longTermToxicityToAquaticInvertebratesStudies _subject/>			
				
			<!-- Discussion -->
			<@keyEnvironmentalHazardAssessment.longTermToxicityToAquaticInvertebratesSummary _subject/>
		</section>
	</section>
	
	<!-- 7.1.3. Algae and aquatic plants -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Algae and aquatic plants</title>
		<@keyEnvironmentalHazardAssessment.toxicityToAquaticAlgaeStudies _subject/>
		
		<!-- Discussion -->		
		<@keyEnvironmentalHazardAssessment.toxicityToAquaticAlgaeSummary _subject/>
		<@keyEnvironmentalHazardAssessment.toxicityToAquaticPlantSummary _subject/>
		
	</section>

	<!-- 7.1.4. Sediment organisms -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Sediment organisms</title>
		<@keyEnvironmentalHazardAssessment.sedimentToxicityStudies _subject/>
					
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.sedimentToxicitySummary _subject/>				
		
	</section>

	<!-- 7.1.5. Other aquatic organisms -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Other aquatic organisms</title>
		<@keyEnvironmentalHazardAssessment.toxicityOtherAquaticOrganismsStudies _subject/>	
			
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.toxicityOtherAquaticOrganismsSummary _subject/>
									
	</section>
</section>

<!-- 7.2. Terrestrial compartment -->
<section>
	<title role="HEAD-2">Terrestrial compartment</title>
	<@keyEnvironmentalHazardAssessment.terrestrialToxicitySummary _subject/>	

	<!-- 7.2.1. Toxicity to soil macro-organisms -->
	<section>
		<title role="HEAD-3">Toxicity to soil macro-organisms</title>
		<@keyEnvironmentalHazardAssessment.toxicityToSoilMacroOrganismsStudies _subject/>
					
		<!-- Discussion -->	
		<@keyEnvironmentalHazardAssessment.toxicityToSoilMacroorganismsExceptArthropodsSummary _subject/>
		<@keyEnvironmentalHazardAssessment.toxicityToTerrestrialArthropodsSummary _subject/>		
				
	</section>

	<!-- 7.2.2. Toxicity to terrestrial plants -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Toxicity to terrestrial plants</title>
		<@keyEnvironmentalHazardAssessment.toxicityToTerrestrialPlantsStudies _subject/>
		
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.toxicityToTerrestrialPlantsSummary _subject/>		
		
	</section>

	<!-- 7.2.3. Toxicity to soil micro-organisms -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Toxicity to soil micro-organisms</title>
		<@keyEnvironmentalHazardAssessment.toxicityToSoilMicroorganismsStudies _subject/>
				
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.toxicityToSoilMicroorganismsSummary _subject/>	
		
	</section>

	<!-- 7.2.4. Toxicity to other terrestrial organisms -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Toxicity to other terrestrial organisms</title>
		<@keyEnvironmentalHazardAssessment.toxicityToTerrestrialArthropodsStudies _subject/>
		
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.toxicityToTerrestrialArthropodsSummaryShortVersion _subject/>
				
	</section>
</section>
	
<!-- 7.3. Atmospheric compartment -->
<#if instructionNeededForAtmosphericCompartment()>
<@com.emptyLine/>
<section>
	<title role="HEAD-2">Atmospheric compartment</title>
	<para><emphasis role="bold">&gt;&gt;&gt;NOTE (please delete this instruction): Move any information related to this section manually from other sections (e.g. from "Toxicity to terrestrial plants" (if fumigation study) or from "Toxicity to other terrestrial organisms" (e.g. if spray application study with honeybees).&lt;&lt;&lt;</emphasis></para>
</section>
<#else>
	<section>
	<@com.emptyLine/><title role="HEAD-2">Atmospheric compartment</title>
	No relevant information available.
	</section>
</#if>

<!-- 7.4. Microbiological activity in sewage treatment systems -->
<@com.emptyLine/>
<section>
	<title role="HEAD-2">Microbiological activity in sewage treatment systems</title>
	<@keyEnvironmentalHazardAssessment.toxicityToMicroorganismsStudies _subject/>
	
	<!-- Discussion -->
	<@keyEnvironmentalHazardAssessment.toxicityToMicroorganismsSummary _subject/>
		
</section>

<!-- 7.5. Non compartment specific effects relevant for the food chain (secondary poisoning) -->
<section>
	<title role="HEAD-2">Non compartment specific effects relevant for the food chain (secondary poisoning)</title>

	<!-- 7.5.1. Toxicity to birds -->
	<section>
		<title role="HEAD-3">Toxicity to birds</title>
		<@keyEnvironmentalHazardAssessment.toxicityToBirdsStudies _subject/>
				
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.toxicityToBirdsSummary _subject/>
		
	</section>
	
	<!-- 7.5.2. Toxicity to mammals -->
	<@com.emptyLine/>
	<section>
		<title role="HEAD-3">Toxicity to mammals</title>
		<@keyEnvironmentalHazardAssessment.toxicityToOtherAboveGroundOrganismsStudies _subject/>		
				
		<!-- Discussion -->
		<@keyEnvironmentalHazardAssessment.toxicityToOtherAboveGroundOrganismsSummary _subject/>	
		
	</section>
</section>
	

<!-- 7.6. PNEC derivation and other hazard conclusions -->
<@com.emptyLine/>
<section>	
	<#assign summaryList = iuclid.getSectionDocumentsForParentKey(_subject.documentKey, "ENDPOINT_SUMMARY", "EcotoxicologicalInformation") />
	
	<title role="HEAD-2">PNEC derivation and other hazard conclusions</title>
	<#if !(summaryList?has_content)>
	
		No relevant information available.
		
		<#else/>
		<@pnec.generateReportForCSR substance/>
	</#if>	
</section>

<!-- Macros and functions -->
<#function instructionNeededForAtmosphericCompartment>	
	<#local studyList = iuclid.getSectionDocumentsForParentKey(_subject.documentKey, "ENDPOINT_STUDY_RECORD", "ToxicityToTerrestrialPlants") />
	<#if studyList?has_content>
		<#list studyList as study>
			<#if com.picklistValueMatchesPhrases(study.MaterialsAndMethods.StudyDesign.StudyType, [".*field study"])>
				<#return true />
			</#if>
		</#list>
  	</#if>
	
	<#local studyList = iuclid.getSectionDocumentsForParentKey(_subject.documentKey, "ENDPOINT_STUDY_RECORD", "ToxicityToTerrestrialArthropods") />
	<#if studyList?has_content>
		<#list studyList as study>
			<#if com.picklistValueMatchesPhrases(study.MaterialsAndMethods.ApplicationMethod, ["spray"])>
				<#return true />
			</#if>
		</#list>
  	</#if>
	
	<#return false />
</#function>